# Armbian u-boot install script for linux-u-boot-bananapir2-current 2024.07-S3f77-P5ac9-H1a12-Vdb84-Bb703-R448a
# This file provides functions for deploying u-boot to a block device.
DIR=/usr/lib/linux-u-boot-current-bananapir2
write_uboot_platform () 
{ 
    if [[ $2 == /dev/mmcblk* && -b ${2}boot0 ]]; then
        local device=${2}boot0;
        echo 0 > /sys/block/$(basename $device)/force_ro;
        local is_emmc=1;
    else
        local device=${2};
    fi;
    if [[ $is_emmc == 1 ]]; then
        dd if=$1/BPI-R2-EMMC-boot0-0K-0905.img of=$2boot0 bs=1024 seek=0 status=noxfer > /dev/null 2>&1;
        dd if=$1/u-boot.bin of=$2 bs=1k seek=320 status=noxfer > /dev/null 2>&1;
        mmc bootpart enable 1 1 $2;
    else
        dd if=$SRC/packages/blobs/mt7623n/BPI-R2-HEAD440-0k.img of=$2 bs=440 seek=0 count=1 status=noxfer > /dev/null 2>&1;
        dd if=$SRC/packages/blobs/mt7623n/BPI-R2-HEAD1-512b.img of=$2 bs=512 seek=1 status=noxfer > /dev/null 2>&1;
        dd if=$SRC/packages/blobs/mt7623n/BPI-R2-preloader-2k.img of=$2 bs=1k seek=2 status=noxfer > /dev/null 2>&1;
        dd if=$1/u-boot.bin of=$2 bs=1k seek=320 status=noxfer > /dev/null 2>&1;
    fi
}


